Bug 9408 - make test fails on master
Summary: make test fails on master
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (command-line installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Galen Charlton
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-16 19:46 UTC by Hugh Davenport
Modified: 2015-06-04 23:23 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hugh Davenport 2013-01-16 19:46:11 UTC
May be related partially to Bug 8848

hugh@hugh-desktop:~/code/koha (master)$ make test
PERL_DL_NONLAZY=1 KOHA_CONF=blib/KOHA_CONF_DIR/koha-conf.xml /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/PERL_MODULE_DIR', 'blib/arch')" t/*.t
t/00-checkdatabase-version.t ........ ok   
t/00-deprecated.t ................... ok   
t/00-load.t ......................... 1/? "my" variable $stylesheet masks earlier declaration in same scope at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Record.pm line 313.
Subroutine main::logaction redefined at /usr/share/perl/5.14/Test/More.pm line 885.
Too late to run INIT block at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Barcodes/hbyymmincr.pm line 41.
Subroutine main::GetContract redefined at /usr/share/perl/5.14/Test/More.pm line 885.
Too late to run INIT block at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/External/BakerTaylor.pm line 42.
t/00-load.t ......................... 100/? "my" variable $DEBUG masks earlier declaration in same scope at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Barcodes/ValueBuilder.pm line 43.
"my" variable $DEBUG masks earlier declaration in same scope at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Barcodes/ValueBuilder.pm line 77.
t/00-load.t ......................... ok     
t/00-merge-conflict-markers.t ....... ok      
t/00-testcritic.t ................... skipped: Author test. Set $ENV{TEST_QA} to a true value to run
t/00-valid-xml.t .................... ok     
t/AuthoritiesMarc_MARC21.t .......... ok   
t/AuthoritiesMarc_UNIMARC.t ......... ok   
t/Barcodes_annual.t ................. ok   
t/Barcodes_EAN13.t .................. ok   
t/Barcodes_hbyymmincr.t ............. ok   
t/Barcodes_incremental.t ............ ok   
t/Barcodes_PrinterConfig.t .......... 1/6 Use of uninitialized value $labelHeigth in division (/) at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Barcodes/PrinterConfig.pm line 113.
Use of uninitialized value $marginBottom in addition (+) at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Barcodes/PrinterConfig.pm line 113.
Use of uninitialized value $labelHeigth in multiplication (*) at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Barcodes/PrinterConfig.pm line 115.
Use of uninitialized value $rows in numeric lt (<) at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Barcodes/PrinterConfig.pm line 117.
Use of uninitialized value $labelWidth in division (/) at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Barcodes/PrinterConfig.pm line 84.
Use of uninitialized value $marginLeft in addition (+) at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Barcodes/PrinterConfig.pm line 84.
Use of uninitialized value $labelWidth in multiplication (*) at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Barcodes/PrinterConfig.pm line 86.
Use of uninitialized value $columns in numeric lt (<) at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Barcodes/PrinterConfig.pm line 88.
Use of uninitialized value $labelHeigth in division (/) at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Barcodes/PrinterConfig.pm line 113.
Use of uninitialized value $marginBottom in addition (+) at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Barcodes/PrinterConfig.pm line 113.
Use of uninitialized value $labelHeigth in multiplication (*) at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Barcodes/PrinterConfig.pm line 115.
Use of uninitialized value $labelWidth in division (/) at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Barcodes/PrinterConfig.pm line 84.
Use of uninitialized value $marginLeft in addition (+) at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Barcodes/PrinterConfig.pm line 84.
Use of uninitialized value $labelWidth in multiplication (*) at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Barcodes/PrinterConfig.pm line 86.
Use of uninitialized value $rows in numeric le (<=) at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Barcodes/PrinterConfig.pm line 193.
t/Barcodes_PrinterConfig.t .......... ok   
t/Barcodes_ValueBuilder.t ........... "my" variable $DEBUG masks earlier declaration in same scope at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Barcodes/ValueBuilder.pm line 43.
"my" variable $DEBUG masks earlier declaration in same scope at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Barcodes/ValueBuilder.pm line 77.
t/Barcodes_ValueBuilder.t ........... ok     
t/Bookseller.t ...................... ok   
t/Boolean.t ......................... 1/13 The given value does not seem to be interpretable as a Boolean value at t/Boolean.t line 20.
The given value does not seem to be interpretable as a Boolean value at t/Boolean.t line 21.
The given value does not seem to be interpretable as a Boolean value at t/Boolean.t line 22.
t/Boolean.t ......................... ok     
t/Branch.t .......................... ok   
t/Breeding.t ........................ ok   
t/Budgets.t ......................... ok   
t/Cache.t ........................... 1/9 Use of uninitialized value in split at /home/hugh/code/koha/blib/PERL_MODULE_DIR/Koha/Cache/Memcached.pm line 31.
t/Cache.t ........................... ok   
t/Calendar.t ........................ 1/35 
#   Failed test 'Test parameter order not relevant (Days)'
#   at t/Calendar.t line 244.
#          got: 56
#     expected: 40

#   Failed test 'Test parameter order not relevant (Calendar)'
#   at t/Calendar.t line 284.
#          got: 56
#     expected: 40
t/Calendar.t ........................ 34/35 
#   Failed test 'Test parameter order not relevant (Days)'
#   at t/Calendar.t line 323.
#          got: 56
#     expected: 40
# Looks like you failed 3 tests of 35.
t/Calendar.t ........................ Dubious, test returned 3 (wstat 768, 0x300)
Failed 3/35 subtests 
t/Category.t ........................ ok   
t/Charset.t ......................... 1/6 "\c3" is more clearly written simply as "s" at t/Charset.t line 14.
t/Charset.t ......................... ok   
t/Circulation_barcodedecode.t ....... ok     
t/ClassSortRoutine.t ................ ok   
t/ClassSortRoutine_Dewey.t .......... ok   
t/ClassSortRoutine_Generic.t ........ ok   
t/ClassSortRoutine_LCC.t ............ ok   
t/ClassSource.t ..................... ok   
t/Contract.t ........................ ok   
t/Creators.t ........................ ok     
t/Dates.t ........................... 1/327 # 
# In order to run without DB access, this test will substitute 'us'
# as your default date format.  Export environmental variable KOHA_TEST_DATE_FORMAT
# to override this default, or pass the value as an argument to this test script.
# 
# NOTE: we test for the system handling dd=00 and 00 for TIME values, therefore
# you SHOULD see some warnings like:
# Illegal date specified (year = 1952, month = 1, day = 00) at t/Dates.t ...
# 
# Testing Legacy Functions: format_date and format_date_in_iso
# 
Illegal date specified (year = 1952, month = 1, day = 0) at t/Dates.t line 61.
Illegal date specified (year = 1952, month = 1, day = 00) at t/Dates.t line 61.
Illegal date specified (year = 1952, month = 1, day = 00) at t/Dates.t line 64.
# 
# Testing 5 formats.
# Testing no input (defaults):
# 
# Testing with valid inputs:
Illegal date specified (year = 1952, month = 1, day = 0) at t/Dates.t line 83.
Illegal date specified (year = 1952, month = 1, day = 00) at t/Dates.t line 83.
Illegal date specified (year = 1952, month = 1, day = 00) at t/Dates.t line 83.
Illegal date specified (year = 1952, month = 1, day = 00) at t/Dates.t line 83.
Illegal date specified (year = 1952, month = 1, day = 00) at t/Dates.t line 83.
Illegal date specified (year = 1952, month = 1, day = 00) at t/Dates.t line 83.
# 
# Testing object independence from class
# done.
t/Dates.t ........................... ok       
t/DateUtils.t ....................... 1/28 "my" variable $date_string masks earlier declaration in same scope at t/DateUtils.t line 29.
t/DateUtils.t ....................... ok     
t/Debug.t ........................... # BEFORE use:     $debug is not defined
# BEFORE use: $cgi_debug is not defined
t/Debug.t ........................... 1/5 #  AFTER use:     $debug is 5
#  AFTER use: $cgi_debug is 2
# Done.
t/Debug.t ........................... ok   
t/dummy.t ........................... ok   
t/External_Syndetics.t .............. ok   
t/Form_MessagingPreferences.t ....... ok   
t/Heading.t ......................... ok   
t/ILSDI_Services.t .................. ok   
t/ILSDI_Utility.t ................... ok   
t/Images.t .......................... ok   
t/ImportBatch.t ..................... ok   
t/Input.t ........................... ok   
t/Installer_PerlDependencies.t ...... ok   
t/Installer_PerlModules.t ........... ok     
t/Installer_pm.t .................... ok   
t/ItemCirculationAlertPreference.t .. ok   
t/ItemType.t ........................ ok     
t/Koha.t ............................ ok   
t/Labels.t .......................... 1/6 Use of uninitialized value $llx in concatenation (.) or string at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Labels/Label.pm line 68.
Use of uninitialized value $lly in concatenation (.) or string at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Labels/Label.pm line 68.
Use of uninitialized value $width in concatenation (.) or string at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Labels/Label.pm line 68.
Use of uninitialized value $height in concatenation (.) or string at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Labels/Label.pm line 68.
Use of uninitialized value $_ in string eq at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Labels/Label.pm line 103.
Use of uninitialized value $_ in pattern match (m//) at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Labels/Label.pm line 116.
Use of uninitialized value $_ in sprintf at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Labels/Label.pm line 126.
regexp failed to match string:  at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Labels/Label.pm line 126.
Use of uninitialized value in split at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Labels/Label.pm line 129.
t/Labels.t .......................... ok   
t/Labels_split_ccn.t ................ ok     
t/Labels_split_ddcn.t ............... ok     
t/Labels_split_lccn.t ............... ok     
t/Languages.t ....................... 1/4 Use of uninitialized value $interface in string eq at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Languages.pm line 247.
Use of uninitialized value $htdocs in concatenation (.) or string at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Languages.pm line 271.
Use of uninitialized value $theme in concatenation (.) or string at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Languages.pm line 271.
accept_language(x,y) called with no clientPreferences (x). at t/Languages.t line 19.
t/Languages.t ....................... ok   
t/Letters.t ......................... ok   
t/Log.t ............................. ok   
t/Maintainance.t .................... ok   
t/Matcher.t ......................... ok     
t/Members_Attributes.t .............. ok     
t/Members_AttributeTypes.t .......... ok   
t/Members_Messaging.t ............... ok   
t/Message.t ......................... ok   
t/NewsChannels.t .................... ok   
t/Output.t .......................... ok   
t/Output_JSONStream.t ............... ok   
t/Overdues.t ........................ ok   
t/Patroncards.t ..................... ok   
t/Patroncards_Batch.t ............... ok   
t/Patroncards_Layout.t .............. ok   
t/Patroncards_Lib.t ................. ok   
t/Patroncards_Patroncard.t .......... ok   
t/Patroncards_Profile.t ............. ok   
t/Patroncards_Template.t ............ ok   
t/Print.t ........................... ok   
t/RecordProcessor.t ................. ok    
t/Review.t .......................... ok   
t/Ris.t ............................. 1/6 Use of uninitialized value $leader in substr at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Ris.pm line 342.
substr outside of string at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Ris.pm line 342.
Use of uninitialized value $C4::Ris::intype in string eq at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Ris.pm line 350.
Use of uninitialized value $C4::Ris::intype in string eq at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Ris.pm line 350.
Use of uninitialized value $C4::Ris::intype in string eq at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Ris.pm line 353.
Use of uninitialized value $typeofrecord in exists at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Ris.pm line 361.
Use of uninitialized value $C4::Ris::uniout in string eq at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Ris.pm line 966.
Use of uninitialized value $C4::Ris::uniout in string eq at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Ris.pm line 966.
t/Ris.t ............................. ok   
t/RotatingCollections.t ............. ok   
t/Scheduler.t ....................... 1/6 Use of uninitialized value $stdTime in pattern match (m//) at /usr/share/perl5/Schedule/At.pm line 194.
Use of uninitialized value $year in substitution (s///) at /usr/share/perl5/Schedule/At.pm line 201.
Use of uninitialized value $month in substitution (s///) at /usr/share/perl5/Schedule/At.pm line 202.
Use of uninitialized value $day in substitution (s///) at /usr/share/perl5/Schedule/At.pm line 203.
Use of uninitialized value $hour in substitution (s///) at /usr/share/perl5/Schedule/At.pm line 204.
Use of uninitialized value $mins in substitution (s///) at /usr/share/perl5/Schedule/At.pm line 205.
Use of uninitialized value $params{"COMMAND"} in print at /usr/share/perl5/Schedule/At.pm line 68.
t/Scheduler.t ....................... ok   
t/Scrubber.t ........................ 1/19 # Note: scrubber test output will have whitespace collapsed for readability
# done.
t/Scrubber.t ........................ ok     
t/Search_PazPar2.t .................. 1/8 400 URL must be absolute at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Search/PazPar2.pm line 68.
400 URL must be absolute at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Search/PazPar2.pm line 84.
400 URL must be absolute at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Search/PazPar2.pm line 99.
400 URL must be absolute at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Search/PazPar2.pm line 121.
400 URL must be absolute at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Search/PazPar2.pm line 142.
400 URL must be absolute at /home/hugh/code/koha/blib/PERL_MODULE_DIR/C4/Search/PazPar2.pm line 159.
t/Search_PazPar2.t .................. ok   
t/SIP_Sip.t ......................... 1/8 verify_cksum: no sum detected at /home/hugh/code/koha/t/../C4/SIP/Sip/Checksum.pm line 24.
t/SIP_Sip.t ......................... ok   
t/SMS.t ............................. ok   
t/SocialData.t ...................... ok   
t/Stats.t ........................... ok   
t/SuggestionEngine.t ................ ok    
t/SuggestionEngine_AuthorityFile.t .. ok   
t/TmplToken.t ....................... ok     
t/Utils.t ........................... ok   
t/VirtualShelves_Merge.t ............ ok   
t/XSLT.t ............................ ok   
t/Z3950.t ........................... ok   

Test Summary Report
-------------------
t/Calendar.t                      (Wstat: 768 Tests: 35 Failed: 3)
  Failed tests:  23, 29, 35
  Non-zero exit status: 3
Files=92, Tests=8303, 27 wallclock secs ( 2.40 usr  0.27 sys + 21.93 cusr  2.45 csys = 27.05 CPU)
Result: FAIL
Failed 1/92 test programs. 3/8303 subtests failed.
make: *** [test_dynamic] Error 255
hugh@hugh-desktop:~/code/koha (master)$ 


My system is:
Debian Wheezy (current testing), multiarch setup with i386/amd64
git commit 20a8efcad892673bdf0fbf1fdab906032a20680d


Not sure if related, but when installing the dependencies, I came across https://rt.cpan.org/Public/Bug/Display.html?id=82764 in Business:ISBN

Cheers,

Hugh
Comment 1 Jared Camins-Esakov 2013-01-16 19:50:16 UTC
Hugh,

Those tests fail because the calendar code is broken in master (and 3.10). There is a patch fixing the problem on bug 9211, but before I push it I need feedback on how to test the problem other than with the unit test.

Regards,
Jared
Comment 2 Hugh Davenport 2013-01-16 21:29:29 UTC
Ah right, sorry didn't find that bug in my searches :D
Comment 3 Maya Das 2013-02-13 19:59:41 UTC
same error occured


PERL_DL_NONLAZY=1 KOHA_CONF=blib/KOHA_CONF_DIR/koha-conf.xml /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/PERL_MODULE_DIR', 'blib/arch')" t/*.t
t/00-checkdatabase-version.t ........ ok   
t/00-deprecated.t ................... ok   
t/00-load.t ......................... 1/? "my" variable $stylesheet masks earlier declaration in same scope at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Record.pm line 313.
t/00-load.t ......................... 51/? Subroutine main::GetContract redefined at /usr/share/perl/5.14/Test/More.pm line 885.
Too late to run INIT block at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Barcodes/hbyymmincr.pm line 41.
Too late to run INIT block at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/External/BakerTaylor.pm line 42.
"my" variable $DEBUG masks earlier declaration in same scope at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Barcodes/ValueBuilder.pm line 43.
"my" variable $DEBUG masks earlier declaration in same scope at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Barcodes/ValueBuilder.pm line 77.
t/00-load.t ......................... ok     
t/00-merge-conflict-markers.t ....... ok      
t/00-testcritic.t ................... skipped: Author test. Set $ENV{TEST_QA} to a true value to run
t/00-valid-xml.t .................... ok     
t/AuthoritiesMarc_MARC21.t .......... ok   
t/AuthoritiesMarc_UNIMARC.t ......... ok   
t/Barcodes_annual.t ................. ok   
t/Barcodes_EAN13.t .................. ok   
t/Barcodes_hbyymmincr.t ............. ok   
t/Barcodes_incremental.t ............ ok   
t/Barcodes_PrinterConfig.t .......... 1/6 Use of uninitialized value $labelHeigth in division (/) at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Barcodes/PrinterConfig.pm line 113.
Use of uninitialized value $marginBottom in addition (+) at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Barcodes/PrinterConfig.pm line 113.
Use of uninitialized value $labelHeigth in multiplication (*) at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Barcodes/PrinterConfig.pm line 115.
Use of uninitialized value $rows in numeric lt (<) at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Barcodes/PrinterConfig.pm line 117.
Use of uninitialized value $labelWidth in division (/) at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Barcodes/PrinterConfig.pm line 84.
Use of uninitialized value $marginLeft in addition (+) at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Barcodes/PrinterConfig.pm line 84.
Use of uninitialized value $labelWidth in multiplication (*) at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Barcodes/PrinterConfig.pm line 86.
Use of uninitialized value $columns in numeric lt (<) at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Barcodes/PrinterConfig.pm line 88.
Use of uninitialized value $labelHeigth in division (/) at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Barcodes/PrinterConfig.pm line 113.
Use of uninitialized value $marginBottom in addition (+) at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Barcodes/PrinterConfig.pm line 113.
Use of uninitialized value $labelHeigth in multiplication (*) at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Barcodes/PrinterConfig.pm line 115.
Use of uninitialized value $labelWidth in division (/) at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Barcodes/PrinterConfig.pm line 84.
Use of uninitialized value $marginLeft in addition (+) at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Barcodes/PrinterConfig.pm line 84.
Use of uninitialized value $labelWidth in multiplication (*) at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Barcodes/PrinterConfig.pm line 86.
Use of uninitialized value $rows in numeric le (<=) at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Barcodes/PrinterConfig.pm line 193.
t/Barcodes_PrinterConfig.t .......... ok   
t/Barcodes_ValueBuilder.t ........... "my" variable $DEBUG masks earlier declaration in same scope at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Barcodes/ValueBuilder.pm line 43.
"my" variable $DEBUG masks earlier declaration in same scope at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Barcodes/ValueBuilder.pm line 77.
t/Barcodes_ValueBuilder.t ........... ok     
t/Bookseller.t ...................... ok   
t/Boolean.t ......................... 1/13 The given value does not seem to be interpretable as a Boolean value at t/Boolean.t line 20.
The given value does not seem to be interpretable as a Boolean value at t/Boolean.t line 21.
The given value does not seem to be interpretable as a Boolean value at t/Boolean.t line 22.
t/Boolean.t ......................... ok     
t/Branch.t .......................... ok   
t/Breeding.t ........................ ok   
t/Budgets.t ......................... ok   
t/Cache.t ........................... 1/9 Use of uninitialized value in split at /build/koha-3.10.02/blib/PERL_MODULE_DIR/Koha/Cache/Memcached.pm line 31.
t/Cache.t ........................... ok   
t/Calendar.t ........................ 2/35 
#   Failed test 'Test parameter order not relevant (Days)'
#   at t/Calendar.t line 244.
#          got: 56
#     expected: 40

#   Failed test 'Test parameter order not relevant (Calendar)'
#   at t/Calendar.t line 284.
#          got: 56
#     expected: 40

#   Failed test 'Test parameter order not relevant (Days)'
#   at t/Calendar.t line 323.
#          got: 56
#     expected: 40
# Looks like you failed 3 tests of 35.
t/Calendar.t ........................ Dubious, test returned 3 (wstat 768, 0x300)
Failed 3/35 subtests 
t/Category.t ........................ ok   
t/Charset.t ......................... 1/6 "\c3" is more clearly written simply as "s" at t/Charset.t line 14.
t/Charset.t ......................... ok   
t/Circulation_barcodedecode.t ....... ok     
t/ClassSortRoutine.t ................ ok   
t/ClassSortRoutine_Dewey.t .......... ok   
t/ClassSortRoutine_Generic.t ........ ok   
t/ClassSortRoutine_LCC.t ............ ok   
t/ClassSource.t ..................... ok   
t/Contract.t ........................ ok   
t/Creators.t ........................ ok     
t/Dates.t ........................... 1/327 # 
# In order to run without DB access, this test will substitute 'us'
# as your default date format.  Export environmental variable KOHA_TEST_DATE_FORMAT
# to override this default, or pass the value as an argument to this test script.
# 
# NOTE: we test for the system handling dd=00 and 00 for TIME values, therefore
# you SHOULD see some warnings like:
# Illegal date specified (year = 1952, month = 1, day = 00) at t/Dates.t ...
# 
# Testing Legacy Functions: format_date and format_date_in_iso
# 
Illegal date specified (year = 1952, month = 1, day = 0) at t/Dates.t line 61.
Illegal date specified (year = 1952, month = 1, day = 00) at t/Dates.t line 61.
Illegal date specified (year = 1952, month = 1, day = 00) at t/Dates.t line 64.
# 
# Testing 5 formats.
# Testing no input (defaults):
# 
# Testing with valid inputs:
Illegal date specified (year = 1952, month = 1, day = 0) at t/Dates.t line 83.
Illegal date specified (year = 1952, month = 1, day = 00) at t/Dates.t line 83.
Illegal date specified (year = 1952, month = 1, day = 00) at t/Dates.t line 83.
Illegal date specified (year = 1952, month = 1, day = 00) at t/Dates.t line 83.
Illegal date specified (year = 1952, month = 1, day = 00) at t/Dates.t line 83.
Illegal date specified (year = 1952, month = 1, day = 00) at t/Dates.t line 83.
# 
# Testing object independence from class
# done.
t/Dates.t ........................... ok       
t/DateUtils.t ....................... 1/28 "my" variable $date_string masks earlier declaration in same scope at t/DateUtils.t line 29.
t/DateUtils.t ....................... ok     
t/Debug.t ........................... # BEFORE use:     $debug is not defined
# BEFORE use: $cgi_debug is not defined
t/Debug.t ........................... 1/5 #  AFTER use:     $debug is 5
#  AFTER use: $cgi_debug is 2
# Done.
t/Debug.t ........................... ok   
t/dummy.t ........................... ok   
t/External_Syndetics.t .............. ok   
t/Form_MessagingPreferences.t ....... ok   
t/Heading.t ......................... ok   
t/ILSDI_Services.t .................. ok   
t/ILSDI_Utility.t ................... ok   
t/Images.t .......................... ok   
t/ImportBatch.t ..................... ok   
t/Input.t ........................... ok   
t/Installer_PerlDependencies.t ...... ok   
t/Installer_PerlModules.t ........... ok     
t/Installer_pm.t .................... ok   
t/ItemCirculationAlertPreference.t .. ok   
t/ItemType.t ........................ ok     
t/Koha.t ............................ ok   
t/Labels.t .......................... 1/6 Use of uninitialized value $llx in concatenation (.) or string at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Labels/Label.pm line 68.
Use of uninitialized value $lly in concatenation (.) or string at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Labels/Label.pm line 68.
Use of uninitialized value $width in concatenation (.) or string at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Labels/Label.pm line 68.
Use of uninitialized value $height in concatenation (.) or string at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Labels/Label.pm line 68.
Use of uninitialized value $_ in string eq at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Labels/Label.pm line 103.
Use of uninitialized value $_ in pattern match (m//) at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Labels/Label.pm line 116.
Use of uninitialized value $_ in sprintf at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Labels/Label.pm line 126.
regexp failed to match string:  at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Labels/Label.pm line 126.
Use of uninitialized value in split at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Labels/Label.pm line 129.
t/Labels.t .......................... ok   
t/Labels_split_ccn.t ................ ok     
t/Labels_split_ddcn.t ............... ok     
t/Labels_split_lccn.t ............... ok     
t/Languages.t ....................... 1/4 Use of uninitialized value $interface in string eq at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Languages.pm line 247.
readdir() attempted on invalid dirhandle D at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Languages.pm line 254.
Use of uninitialized value $htdocs in concatenation (.) or string at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Languages.pm line 271.
Use of uninitialized value $theme in concatenation (.) or string at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Languages.pm line 271.
accept_language(x,y) called with no clientPreferences (x). at t/Languages.t line 19.
t/Languages.t ....................... ok   
t/Letters.t ......................... ok   
t/Log.t ............................. ok   
t/Maintainance.t .................... ok   
t/Matcher.t ......................... ok     
t/Members_Attributes.t .............. ok     
t/Members_AttributeTypes.t .......... ok   
t/Members_Messaging.t ............... ok   
t/Message.t ......................... ok   
t/NewsChannels.t .................... ok   
t/Output.t .......................... ok   
t/Output_JSONStream.t ............... ok   
t/Overdues.t ........................ ok   
t/Patroncards.t ..................... ok   
t/Patroncards_Batch.t ............... ok   
t/Patroncards_Layout.t .............. ok   
t/Patroncards_Lib.t ................. ok   
t/Patroncards_Patroncard.t .......... ok   
t/Patroncards_Profile.t ............. ok   
t/Patroncards_Template.t ............ ok   
t/Print.t ........................... ok   
t/RecordProcessor.t ................. ok    
t/Review.t .......................... ok   
t/Ris.t ............................. 1/6 Use of uninitialized value $leader in substr at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Ris.pm line 342.
substr outside of string at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Ris.pm line 342.
Use of uninitialized value $C4::Ris::intype in string eq at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Ris.pm line 350.
Use of uninitialized value $C4::Ris::intype in string eq at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Ris.pm line 350.
Use of uninitialized value $C4::Ris::intype in string eq at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Ris.pm line 353.
Use of uninitialized value $typeofrecord in exists at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Ris.pm line 361.
Use of uninitialized value $C4::Ris::uniout in string eq at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Ris.pm line 966.
Use of uninitialized value $C4::Ris::uniout in string eq at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Ris.pm line 966.
t/Ris.t ............................. ok   
t/RotatingCollections.t ............. ok   
t/Scheduler.t ....................... 1/6 Use of uninitialized value $stdTime in pattern match (m//) at /usr/share/perl5/Schedule/At.pm line 194.
Use of uninitialized value $year in substitution (s///) at /usr/share/perl5/Schedule/At.pm line 201.
Use of uninitialized value $month in substitution (s///) at /usr/share/perl5/Schedule/At.pm line 202.
Use of uninitialized value $day in substitution (s///) at /usr/share/perl5/Schedule/At.pm line 203.
Use of uninitialized value $hour in substitution (s///) at /usr/share/perl5/Schedule/At.pm line 204.
Use of uninitialized value $mins in substitution (s///) at /usr/share/perl5/Schedule/At.pm line 205.
Use of uninitialized value $params{"COMMAND"} in print at /usr/share/perl5/Schedule/At.pm line 68.
t/Scheduler.t ....................... ok   
t/Scrubber.t ........................ 1/19 # Note: scrubber test output will have whitespace collapsed for readability
# done.
t/Scrubber.t ........................ ok     
t/Search_PazPar2.t .................. 1/8 400 URL must be absolute at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Search/PazPar2.pm line 68.
400 URL must be absolute at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Search/PazPar2.pm line 84.
400 URL must be absolute at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Search/PazPar2.pm line 99.
400 URL must be absolute at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Search/PazPar2.pm line 121.
400 URL must be absolute at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Search/PazPar2.pm line 142.
400 URL must be absolute at /build/koha-3.10.02/blib/PERL_MODULE_DIR/C4/Search/PazPar2.pm line 159.
t/Search_PazPar2.t .................. ok   
t/SIP_Sip.t ......................... 1/8 verify_cksum: no sum detected at /build/koha-3.10.02/t/../C4/SIP/Sip/Checksum.pm line 24.
t/SIP_Sip.t ......................... ok   
t/SMS.t ............................. ok   
t/SocialData.t ...................... ok   
t/Stats.t ........................... ok   
t/SuggestionEngine.t ................ ok    
t/SuggestionEngine_AuthorityFile.t .. ok   
t/TmplToken.t ....................... ok     
t/Utils.t ........................... ok   
t/VirtualShelves_Merge.t ............ ok   
t/XSLT.t ............................ ok   
t/Z3950.t ........................... ok   

Test Summary Report
-------------------
t/Calendar.t                      (Wstat: 768 Tests: 35 Failed: 3)
  Failed tests:  23, 29, 35
  Non-zero exit status: 3
Files=92, Tests=8424, 60 wallclock secs ( 2.52 usr  0.32 sys + 48.17 cusr  3.78 csys = 54.79 CPU)
Result: FAIL
Failed 1/92 test programs. 3/8424 subtests failed.
make: *** [test_dynamic] Error 255
Comment 4 Owen Leonard 2014-07-16 19:02:50 UTC
(In reply to Jared Camins-Esakov from comment #1)
> Those tests fail because the calendar code is broken in master (and 3.10).
> There is a patch fixing the problem on bug 9211

The patch for Bug 9211 has been pushed to master so I assume this bug is no longer valid.
Comment 5 Tomás Cohen Arazi 2014-07-16 23:42:38 UTC
(In reply to Owen Leonard from comment #4)
> (In reply to Jared Camins-Esakov from comment #1)
> > Those tests fail because the calendar code is broken in master (and 3.10).
> > There is a patch fixing the problem on bug 9211
> 
> The patch for Bug 9211 has been pushed to master so I assume this bug is no
> longer valid.

This bug has been solved in 3.12.x, 3.14.x, 3.16.x and master.